package com.shcd.ghjg.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;

/**
 * 规则表
 * @TableName CONTROLLER_RULE
 */
@TableName(value ="GHJG_BASICS.CONTROLLER_RULE")
@Data
public class ControllerRule implements Serializable {
    /**
     * ID
     */
    @TableId("ID")
    private Long id;

    /**
     * 规则名称
     */
    @TableField("RULE_NAME")
    private String ruleName;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField("UPDATE_TIME")
    private Date updateTime;

    /**
     * 扩展字段2
     */
    @TableField("COLUMN2")
    private String column2;

    /**
     * 扩展字段3
     */
    @TableField("COLUMN3")
    private String column3;

    /**
     * 
     */
    @TableField("ERR_MESSAGE")
    private String errMessage;

    /**
     * 
     */
    @TableField("PARAMS")
    private String params;

    /**
     * 
     */
    @TableField("EXPRESSION")
    private String expression;

    /**
     * 
     */
    @TableField("COMPARE_OBJECT")
    private String compareobject;

    /**
     * 
     */
    @TableField("RULE_TYPE")
    private String ruleType;

    /**
     * 间隔时间(分钟)
     */
    @TableField("INTERVAL_TIME")
    private String taktTime;

    /**
     * 上次状态（1为有问题）
     */
    @TableField("LAST_STATE")
    private String lastState;

    /**
     * 
     */
    @TableField("TOKEN_TIME")
    private Long tokenTime;

    /**
     * 规则内容
     */
    @TableField("RULE_SQL")
    private String ruleSql;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}