package com.shcd.ghjg.util;

import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.stereotype.Component;

import java.util.HashMap;

@Component
@Slf4j
public class EmailUtil {
//    @Value("${spring.mail.username}")
//    private  String userName;
//    @Value("${server.port}")
//    private String port;

    @Value("${sendEmailUrl}")
    private  String sendEmailUrl;

//    @Autowired
//    private JavaMailSender javaMailSender;
//    public  void sendMail(String to,String subject,String content){
//        SimpleMailMessage simpleMailMessage = new SimpleMailMessage();
//        simpleMailMessage.setFrom(userName);
//        simpleMailMessage.setTo(to);
//        simpleMailMessage.setSubject(subject);
//        simpleMailMessage.setText(content);
//        javaMailSender.send(simpleMailMessage);
//    }


    public String sendEmail(String to,String carbon,String msg,String title){
        //String req="{\"to\":\""+to+"\",\"subject\":\""+title+"\",\"text\":\""+msg+"\",\"sender\":\""+carbon+"\"}";
//        HashMap<String, Object> map = new HashMap<>();
//
        String[] tos = {to};
//        map.put("to",tos);
//        map.put("subject",title);
//        map.put("text",msg);
//        map.put("isHtml", false);
//        map.put("sender",carbon);
//        map.put("mail", "944927389@qq.com");
//        String req = JSONObject.toJSONString(map);
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("to",tos);
        jsonObject.put("subject",title);
        jsonObject.put("text",msg);
        jsonObject.put("isHtml", false);
        jsonObject.put("sender",carbon);
        jsonObject.put("mail", "944927389@qq.com");
        log.info("===   email需要发送："+jsonObject);
        String result= HttpUtil.createPost(sendEmailUrl).body(jsonObject.toString()).execute().body();
        log.info("===  已发送：  "+result);
        return result;
    }
}
